Skip to main content

Create a task

The Create Task Endpoint is your gateway to adding new tasks, ideas, or items to your boards. This endpoint allows you to create a new task within a specified list on your board, making it simple to organize your work and keep your projects on track.

Parameters​

assignee
string
ID of the assignee user.
description
string
Description for the task. Can accept HTML string to format the content.
due_at
string
Time at which the task is due.
due_reminder
string
Time at which a reminder that the task is due will be sent.
milestone
nullable string
ID of the milestone.
parent
string
ID of the parent task.
remaining_minutes_estimate
integer
The estimate time left of the task in minutes.
list
string
required
ID of the list in which the task will be created.
start_at
nullable string
Time at which the task starts.
title
string
required
Title of the task.

Returns​

Returns the created task object. Throws an error if some parameters are not valid.

post
/api/boards/{id}/tasks
curl -X POST https://{workspace}.kitchen.co/api/boards/{id}/tasks \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"assignee": "u_c3715664badcadf714053dd0",
"author": "u_e2e07ccb713c2afe739a7c04",
"board": "tskb_b208f0bf2d21fa7fd5a0a577",
"completed": 0,
"completed_at": null,
"completer": null,
"created_at": "2024-03-21T07:52:35+00:00",
"description": "The task description",
"due_at": null,
"due_reminder": null,
"due_reminder_sent_at": null,
"id": "tsk_9bbcb52099a37312fbff58c8",
"milestone": "mst_c26f8070cddd1e226f4f79b3",
"remaining_minutes_estimate": null,
"list": "tskl_3a5afbeeb173e27d669942bb",
"start_at": null,
"title": "The task title",
"updated_at": "2024-03-21T07:52:35+00:00"
}